# Google Analytics API . management . goals

## Instance Methods

Lists goals to which the user has access.

### Method Details

`list(accountId, webPropertyId, profileId, max_results=None, start_index=None)`

    Lists goals to which the user has access.

    Args:
      accountId: string, Account ID to retrieve goals for. Can either be a specific account ID or '~all', which refers to all the accounts that user has access to. (required)
      webPropertyId: string, Web property ID to retrieve goals for. Can either be a specific web property ID or '~all', which refers to all the web properties that user has access to. (required)
      profileId: string, View (Profile) ID to retrieve goals for. Can either be a specific view (profile) ID or '~all', which refers to all the views (profiles) that user has access to. (required)
      max_results: integer, The maximum number of goals to include in this response.
      start_index: integer, An index of the first goal to retrieve. Use this parameter as a pagination mechanism along with the max-results parameter.